Subject: Re: bug#41607: Deleted store items are not actually deleted

From: Chris Marusich <[email-masked]>
Date: Thu, 04 Jun 2020 11:50:05 -0700

Ludovic Courtès <[email-masked]> writes:

>> Should Guix do anything about this?  We could change guix-daemon to take
>> correct action in the face of an XDEV error.  We could also improve the
>> logging, since currently it silently swallows the XDEV error.
>
> I guess we could delete recursively right away upon EXDEV.  It should be
> just two lines of code, right?

I'll try making the change and report back.  Yes, there are other cases
where we immediately delete without moving into the trash directory
(e.g., when the trash directory fails to be created), so it seems OK.

-- 
Chris